Package org.pushingpixels.lafplugin

# Interface LafComponentPlugin

All Superinterfaces:
  `LafPlugin`

public interface LafComponentPlugin extends LafPlugin
Basic interface for look-and-feel plugins.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`COMPONENT_TAG_PLUGIN_CLASS`
XML tag for look-and-feel plugins that specify component UI delegates.

### Fields inherited from interface org.pushingpixels.lafplugin.LafPlugin

`TAG_MAIN`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getDefaults(Object themeInfo)`
Retrieves a collection of custom settings based on the specified theme.
`void`
`initialize()`
Initializes `this` plugin.
`void`
`uninitialize()`
Unitializes `this` plugin.

## Field Details

### COMPONENT_TAG_PLUGIN_CLASS

static final String COMPONENT_TAG_PLUGIN_CLASS
XML tag for look-and-feel plugins that specify component UI delegates.

See Also:
  - Constant Field Values

## Method Details

### initialize

void initialize()
Initializes `this` plugin.

### uninitialize

void uninitialize()
Unitializes `this` plugin.

### getDefaults

Object[] getDefaults(Object themeInfo)
Retrieves a collection of custom settings based on the specified theme. The entries in the array should be pairwise, odd being symbolic name of a setting, and even being the setting value.

Parameters:
  `themeInfo` - Theme information object. Can be `MetalTheme`, for instance or any other LAF-specific object.
Returns:
  Collection of custom settings based on the specified theme. The entries in the array should be pairwise, odd being symbolic name of a setting, and even being the setting value.